CppUnit project page | FAQ

Static Public Member Functions | List of all members
TypeInfoHelper Class Reference

! More...

`#include <TypeInfoHelper.h>`

## Static Public Member Functions
static std::string | getClassName (const std::type_info &info)
| Get the class name of the specified type_info.

## Detailed Description

!

Helper to use type_info.

## Member Function Documentation

## ◆ getClassName()

CPPUNIT_NS_BEGIN std::string TypeInfoHelper::getClassName | ( | const std::type_info & | info | ) |
| static

Get the class name of the specified type_info.

Parameters

  info | Info which the class name is extracted from.

Returns
  The string returned by type_info::name() without the "class" prefix. If the name is not prefixed by "class", it is returned as this.

The documentation for this class was generated from the following files:

- TypeInfoHelper.h
- TypeInfoHelper.cpp

| Send comments to: CppUnit Developers